Reader writes: Which version of CompTIA Security+ practice test to buy?

September 3, 2008 at 7:31 am | Posted in CompTIA | Leave a comment
Tags: ,

In response to our previous post on CompTIA’s Security+ exam revisions, David asked: So the BIG question is – if I purchase exam material today would it be worthwhile or should I just wait until you have the material that covers the 2008 objectives? Can I upgrade if I purchase today?

David, that depends on which version of the exam you want to take. If you plan to take the 2007 version of the Security+ exam (with the old objectives), then our current practice test (SY0-101) will prepare you to pass it. CompTIA will offer the 2007 version until April 2009, and we’ll continue to sell the 2007 practice test until that exam retires.

When making your decision, keep in mind that CompTIA certifications do not expire; once you are certified in Security+, you would not have to update your certification unless your employer specifically required it. See this CompTIA Security+ exam upgrade FAQ for more information.

I’ll break here briefly to explain the difference between our product’s updates and upgrades. Transcender will periodically update an existing test and re-publish it with an incremented version number. In the download and CD versions, there’s a handy button you can use to check for updates to a purchased exam – we don’t announce them, but as soon as they’re available, you can download them. Online customers receive the updated version automatically. Updates are free and you can continue updating a purchased test until you take the exam or until the exam expires.

Upgrades occur when a vendor significantly revises an existing exam and re-releases it under a new exam ID, as when CompTIA re-released the 220-301 exam as 220-601. As per the Transcender exam upgrade policy, qualifying customers receive a special discount on the new version of an upgraded exam.

Our current Security+ offering, SY0-101, does not map to the 2008 objectives. We’ll start developing our 2008 version in October. Because it is a new exam (and a new product), and will have a new exam ID issued by CompTIA, SY0-201, we won’t offer free upgrades from the old version to the new version if you already own it. However, that does not invalidate your purchase! In a nutshell:

  • If you’ve already purchased the 2007 practice test (SY0-101), you can take the 2007 Security+ exam (SY0-101) and have a valid certification. The pending exam upgrade will not affect you.
  • If you’ve already purchased the 2007 test but have decided to wait and take the 2008 exam (SY0-201), we’ll offer you a $40 discount when the 2008 product releases. You can contact our customer service and they’ll assist you with the purchase.
  • If you plan to take the 2008 version of the Security+ exam (SY0-201), and you haven’t bought a practice test yet, then you may want to wait until the new practice test releases before you buy. (FWIW, the CompTIA Security+ exam upgrade FAQ does not require that you wait for the new release.)

Hope this helps!

Leave a Comment »

RSS feed for comments on this post. TrackBack URI

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Blog at WordPress.com.
Entries and comments feeds.

%d bloggers like this: